Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## cascading.pipe.assembly
Enum CountBy.Include

    java.lang.Object
      java.lang.Enum<CountBy.Include>
          cascading.pipe.assembly.CountBy.Include

All Implemented Interfaces:
  Serializable, Comparable<CountBy.Include>

Enclosing class:
  CountBy

    public static enum CountBy.Include

extends Enum<CountBy.Include>

Enum Constant Summary
`ALL`
`NO_NULLS`
`ONLY_NULLS`

Method Summary
`static CountBy.Include` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CountBy.Include[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final CountBy.Include ALL

### NO_NULLS

    public static final CountBy.Include NO_NULLS

### ONLY_NULLS

    public static final CountBy.Include ONLY_NULLS

Method Detail

### values

    public static CountBy.Include[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CountBy.Include c : CountBy.Include.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CountBy.Include valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.